summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoshua Nichols <nichoj@gentoo.org>2006-06-24 18:36:59 +0000
committerJoshua Nichols <nichoj@gentoo.org>2006-06-24 18:36:59 +0000
commit1ad4a1bd449bbcf6c7f86713f3f3f42e174f3d2b (patch)
treeee64ecaf36323b3ac9a94c9a223200ff4fd86ca3 /eclass/java.eclass
parentStable on SPARC wrt bug #137392. (diff)
downloadgentoo-2-1ad4a1bd449bbcf6c7f86713f3f3f42e174f3d2b.tar.gz
gentoo-2-1ad4a1bd449bbcf6c7f86713f3f3f42e174f3d2b.tar.bz2
gentoo-2-1ad4a1bd449bbcf6c7f86713f3f3f42e174f3d2b.zip
Adding new Java eclasses, and updating old ones.
Diffstat (limited to 'eclass/java.eclass')
-rw-r--r--eclass/java.eclass15
1 files changed, 9 insertions, 6 deletions
diff --git a/eclass/java.eclass b/eclass/java.eclass
index 2ae31967ae4b..fdb1b286367a 100644
--- a/eclass/java.eclass
+++ b/eclass/java.eclass
@@ -1,15 +1,18 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java.eclass,v 1.29 2006/02/17 22:18:20 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java.eclass,v 1.30 2006/06/24 18:36:59 nichoj Exp $
#
# Author: Karl Trygve Kalleberg <karltk@gentoo.org>
inherit eutils
DESCRIPTION="Based on the $ECLASS eclass"
-DEPEND=">=dev-java/java-config-1.2.11
+JAVA_CONFIG_DEP="|| ( =dev-java/java-config-1.3* =dev-java/java-config-1.2* )"
+DEPEND="${JAVA_CONFIG_DEP}
sys-apps/findutils"
-RDEPEND=">=dev-java/java-config-1.2.11"
+RDEPEND="${JAVA_CONFIG_DEP}"
+
+export WANT_JAVA_CONFIG="1"
VMHANDLE=${PN}-${PV}
@@ -116,7 +119,7 @@ java_remove-libjsoundalsa() {
fi
}
-# Symlinks i386 to i?86. Updates env file to then use i?86
+# Symlinks i386 to i?86. Updates env file to then use i?86
# for LD_LIBRARY_PATH. See bug #23579.
#
# Takes an argument, which is a directory living in ${D}
@@ -128,12 +131,12 @@ fix-i386-dir() {
if use x86; then
local host=${CTARGET:-${CHOST}}
host=${host%%-*}
-
+
if [[ ${host} != i386 ]]; then
local orig_dir="${libdir}/i386"
local new_dir="${libdir}/${host}"
dosym i386 ${new_dir} || die "Failed to dosym"
-
+
sed -i -e "s/i386/${host}/g" \
${D}/etc/env.d/java/20${VMHANDLE} || die "Failed to sed"